libzypp: zypp::xml::ParseDefImplConsume Struct Reference

libzypp 17.25.10

Public Member Functions | List of all members
zypp::xml::ParseDefImplConsume Struct Reference
Inheritance diagram for zypp::xml::ParseDefImplConsume:
[legend]

## Public Member Functions
virtual void | start (const Node &node_r)
virtual void | text (const Node &node_r)
virtual void | cdata (const Node &node_r)
virtual void | done (const Node &node_r)
virtual void | startSubnode (const Node &node_r)
virtual void | doneSubnode (const Node &node_r)
void | debuglog (const char *const tag_r, const Node &node_r)
Public Member Functions inherited from zypp::xml::ParseDefConsumeRedirect
| ParseDefConsumeRedirect ()
| ParseDefConsumeRedirect (const shared_ptr< ParseDefConsume > &target_r)
| ParseDefConsumeRedirect (ParseDefConsume *allocatedTarget_r)
| ParseDefConsumeRedirect (ParseDefConsume &target_r)
virtual | ~ParseDefConsumeRedirect ()
void | setRedirect (const shared_ptr< ParseDefConsume > &target_r)
void | setRedirect (ParseDefConsume *allocatedTarget_r)
void | setRedirect (ParseDefConsume &target_r)
void | cancelRedirect ()
shared_ptr< ParseDefConsume > | getRedirect () const
Public Member Functions inherited from zypp::xml::ParseDefConsume
virtual | ~ParseDefConsume ()

## Detailed Description

Definition at line 41 of file ParseDef.cc.

## Member Function Documentation

## ◆ start()

virtual void zypp::xml::ParseDefImplConsume::start | ( | const Node & | node_r | ) |
| inlinevirtual

Reimplemented from zypp::xml::ParseDefConsumeRedirect.

Definition at line 43 of file ParseDef.cc.

## ◆ text()

virtual void zypp::xml::ParseDefImplConsume::text | ( | const Node & | node_r | ) |
| inlinevirtual

Reimplemented from zypp::xml::ParseDefConsumeRedirect.

Definition at line 49 of file ParseDef.cc.

## ◆ cdata()

virtual void zypp::xml::ParseDefImplConsume::cdata | ( | const Node & | node_r | ) |
| inlinevirtual

Reimplemented from zypp::xml::ParseDefConsumeRedirect.

Definition at line 55 of file ParseDef.cc.

## ◆ done()

virtual void zypp::xml::ParseDefImplConsume::done | ( | const Node & | node_r | ) |
| inlinevirtual

Reimplemented from zypp::xml::ParseDefConsumeRedirect.

Definition at line 61 of file ParseDef.cc.

## ◆ startSubnode()

virtual void zypp::xml::ParseDefImplConsume::startSubnode | ( | const Node & | node_r | ) |
| inlinevirtual

Reimplemented from zypp::xml::ParseDefConsumeRedirect.

Definition at line 67 of file ParseDef.cc.

## ◆ doneSubnode()

virtual void zypp::xml::ParseDefImplConsume::doneSubnode | ( | const Node & | node_r | ) |
| inlinevirtual

Reimplemented from zypp::xml::ParseDefConsumeRedirect.

Definition at line 73 of file ParseDef.cc.

## ◆ debuglog()

void zypp::xml::ParseDefImplConsume::debuglog | ( | const char *const | tag_r,
|  | const Node & | node_r
| ) |  |
| inline

Definition at line 79 of file ParseDef.cc.

The documentation for this struct was generated from the following file:

- zypp/parser/xml/ParseDef.cc